package com.platform.vo;

import lombok.Data;

/**
 * @author abnerhou
 * @date 2020/8/28 18:11
 * @desciption
 */
@Data
public class FdKanKanStasticVo {


    /**
     * id : 975
     * createTime : 2020-08-25 12:15:02
     * updateTime : 2020-08-25 12:15:02
     * recStatus : A
     * sceneNum : z9hIT14bC
     * pvCount : 5
     * visitorCount : 0
     * ipCount : null
     * visit1Count : 0
     * outwardCount : 3
     * exitCount : 0
     * averageStayTime : 563
     * exitRatio : 0
     * type : 2
     * dateStr : 2020-08-21 00:00:00
     */

    @com.alibaba.fastjson.annotation.JSONField(name = "id")
    private int id;
    @com.alibaba.fastjson.annotation.JSONField(name = "createTime")
    private String createTime;
    @com.alibaba.fastjson.annotation.JSONField(name = "updateTime")
    private String updateTime;
    @com.alibaba.fastjson.annotation.JSONField(name = "recStatus")
    private String recStatus;
    @com.alibaba.fastjson.annotation.JSONField(name = "sceneNum")
    private String sceneNum;
    @com.alibaba.fastjson.annotation.JSONField(name = "pvCount")
    private int pvCount;
    @com.alibaba.fastjson.annotation.JSONField(name = "visitorCount")
    private int visitorCount;
    @com.alibaba.fastjson.annotation.JSONField(name = "ipCount")
    private Object ipCount;
    @com.alibaba.fastjson.annotation.JSONField(name = "visit1Count")
    private int visit1Count;
    @com.alibaba.fastjson.annotation.JSONField(name = "outwardCount")
    private int outwardCount;
    @com.alibaba.fastjson.annotation.JSONField(name = "exitCount")
    private int exitCount;
    @com.alibaba.fastjson.annotation.JSONField(name = "averageStayTime")
    private int averageStayTime;
    @com.alibaba.fastjson.annotation.JSONField(name = "exitRatio")
    private int exitRatio;
    @com.alibaba.fastjson.annotation.JSONField(name = "type")
    private int type;
    @com.alibaba.fastjson.annotation.JSONField(name = "dateStr")
    private String dateStr;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRecStatus() {
        return recStatus;
    }

    public void setRecStatus(String recStatus) {
        this.recStatus = recStatus;
    }

    public String getSceneNum() {
        return sceneNum;
    }

    public void setSceneNum(String sceneNum) {
        this.sceneNum = sceneNum;
    }

    public int getPvCount() {
        return pvCount;
    }

    public void setPvCount(int pvCount) {
        this.pvCount = pvCount;
    }

    public int getVisitorCount() {
        return visitorCount;
    }

    public void setVisitorCount(int visitorCount) {
        this.visitorCount = visitorCount;
    }

    public Object getIpCount() {
        return ipCount;
    }

    public void setIpCount(Object ipCount) {
        this.ipCount = ipCount;
    }

    public int getVisit1Count() {
        return visit1Count;
    }

    public void setVisit1Count(int visit1Count) {
        this.visit1Count = visit1Count;
    }

    public int getOutwardCount() {
        return outwardCount;
    }

    public void setOutwardCount(int outwardCount) {
        this.outwardCount = outwardCount;
    }

    public int getExitCount() {
        return exitCount;
    }

    public void setExitCount(int exitCount) {
        this.exitCount = exitCount;
    }

    public int getAverageStayTime() {
        return averageStayTime;
    }

    public void setAverageStayTime(int averageStayTime) {
        this.averageStayTime = averageStayTime;
    }

    public int getExitRatio() {
        return exitRatio;
    }

    public void setExitRatio(int exitRatio) {
        this.exitRatio = exitRatio;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }
}
